> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ExposureTable

> Get the exposure table.



## OpenAPI

````yaml /api/metrics/api/exposure-table.openapi.json get /v1/exposureTables/{exposureTable}
openapi: 3.1.0
info:
  title: Confidence Exposure-table API
  version: 1.0.0
  description: API documentation for exposure-table
servers: []
security: []
paths:
  /v1/exposureTables/{exposureTable}:
    get:
      summary: Get ExposureTable
      description: Get the exposure table.
      operationId: ExposureTable.get
      parameters:
        - name: exposureTable
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns a [ExposureTable](/api-reference/schemas/exposuretable).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/confidence.metrics.v1.ExposureTable'
      security:
        - admin: []
      servers:
        - url: https://metrics.eu.confidence.dev
        - url: https://metrics.us.confidence.dev
        - url: https://metrics.confidence.dev
components:
  schemas:
    confidence.metrics.v1.ExposureTable:
      title: ExposureTable
      type: object
      description: >-
        An exposure table is describes how to compute exposures from
        assignments.
      properties:
        name:
          type: string
          description: |-
            Unique identifier of the exposure table.
             For example: `exposureTables/0smva5nxuhv4yts6paxt`
        sql:
          type: string
          description: >-
            A data warehouse-specific query to get the data from the exposure
            table table.
        displayName:
          type: string
          description: Human friendly name of the exposure table.
        entity:
          type: string
          description: Resource name of the entity that is being exposed.
        exposureDataDeliveredUntilTime:
          type: object
          description: |-
            The current maximum time point where there is available data for the
             exposure table table.
        exposedEntitiesMetric:
          type: string
          description: Resource name of the metric that counts exposures.
        firstExposureTimeColumn:
          type: object
          properties:
            name:
              type: string
              description: Name of the column.
            type:
              type: string
              enum:
                - COLUMN_TYPE_UNSPECIFIED
                - COLUMN_TYPE_STRING
                - COLUMN_TYPE_INT32
                - COLUMN_TYPE_INT64
                - COLUMN_TYPE_DOUBLE
                - COLUMN_TYPE_BOOLEAN
                - COLUMN_TYPE_DATE
                - COLUMN_TYPE_TIMESTAMP
                - COLUMN_TYPE_BYTES
                - COLUMN_TYPE_TIMESTAMP_WITHOUT_TIMEZONE
                - COLUMN_TYPE_DECIMAL
                - COLUMN_TYPE_HLL_SKETCH
              description: >-
                Type of the column, will be converted to a data
                warehouse-specific type.
            repeated:
              type: boolean
              description: Determined whether the column is an array.
          required:
            - name
          description: The column of the table that represents the time of exposure.
        firstExposureTruncation:
          type: object
          properties:
            window:
              type: string
              enum:
                - TRUNCATION_WINDOW_UNSPECIFIED
                - TRUNCATION_WINDOW_HOUR
                - TRUNCATION_WINDOW_DAY
              description: The window that time has been truncated to.
            behaviour:
              type: string
              enum:
                - TRUNCATION_BEHAVIOR_UNSPECIFIED
                - TRUNCATION_BEHAVIOR_START
              description: How time was truncated.
            timeZone:
              type: string
              enum:
                - TRUNCATION_TIME_ZONE_UNSPECIFIED
                - TRUNCATION_TIMEZONE_UTC
              description: |-
                The timezone that the truncation was performed in.
                 
          required:
            - window
            - behaviour
            - timeZone
          description: Defines how time is truncated in the first_exposure_time_column.
        entityIdColumn:
          type: object
          properties:
            name:
              type: string
              description: Name of the column.
            type:
              type: string
              enum:
                - COLUMN_TYPE_UNSPECIFIED
                - COLUMN_TYPE_STRING
                - COLUMN_TYPE_INT32
                - COLUMN_TYPE_INT64
                - COLUMN_TYPE_DOUBLE
                - COLUMN_TYPE_BOOLEAN
                - COLUMN_TYPE_DATE
                - COLUMN_TYPE_TIMESTAMP
                - COLUMN_TYPE_BYTES
                - COLUMN_TYPE_TIMESTAMP_WITHOUT_TIMEZONE
                - COLUMN_TYPE_DECIMAL
                - COLUMN_TYPE_HLL_SKETCH
              description: >-
                Type of the column, will be converted to a data
                warehouse-specific type.
            repeated:
              type: boolean
              description: Determined whether the column is an array.
          required:
            - name
          description: Column of the table that represents the identifier of the entity.
        groupNameColumn:
          type: object
          properties:
            name:
              type: string
              description: Name of the column.
            type:
              type: string
              enum:
                - COLUMN_TYPE_UNSPECIFIED
                - COLUMN_TYPE_STRING
                - COLUMN_TYPE_INT32
                - COLUMN_TYPE_INT64
                - COLUMN_TYPE_DOUBLE
                - COLUMN_TYPE_BOOLEAN
                - COLUMN_TYPE_DATE
                - COLUMN_TYPE_TIMESTAMP
                - COLUMN_TYPE_BYTES
                - COLUMN_TYPE_TIMESTAMP_WITHOUT_TIMEZONE
                - COLUMN_TYPE_DECIMAL
                - COLUMN_TYPE_HLL_SKETCH
              description: >-
                Type of the column, will be converted to a data
                warehouse-specific type.
            repeated:
              type: boolean
              description: Determined whether the column is an array.
          required:
            - name
          description: Column of the table that contains the group name.
        exposureFilterColumn:
          type: object
          properties:
            name:
              type: string
              description: Name of the column.
            type:
              type: string
              enum:
                - COLUMN_TYPE_UNSPECIFIED
                - COLUMN_TYPE_STRING
                - COLUMN_TYPE_INT32
                - COLUMN_TYPE_INT64
                - COLUMN_TYPE_DOUBLE
                - COLUMN_TYPE_BOOLEAN
                - COLUMN_TYPE_DATE
                - COLUMN_TYPE_TIMESTAMP
                - COLUMN_TYPE_BYTES
                - COLUMN_TYPE_TIMESTAMP_WITHOUT_TIMEZONE
                - COLUMN_TYPE_DECIMAL
                - COLUMN_TYPE_HLL_SKETCH
              description: >-
                Type of the column, will be converted to a data
                warehouse-specific type.
            repeated:
              type: boolean
              description: Determined whether the column is an array.
          required:
            - name
          description: >-
            Column of the table that contains what exposure filter this row
            refers to, if exposure filtering is enabled.
        dimensions:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: Name of the column.
              type:
                type: string
                enum:
                  - COLUMN_TYPE_UNSPECIFIED
                  - COLUMN_TYPE_STRING
                  - COLUMN_TYPE_INT32
                  - COLUMN_TYPE_INT64
                  - COLUMN_TYPE_DOUBLE
                  - COLUMN_TYPE_BOOLEAN
                  - COLUMN_TYPE_DATE
                  - COLUMN_TYPE_TIMESTAMP
                  - COLUMN_TYPE_BYTES
                  - COLUMN_TYPE_TIMESTAMP_WITHOUT_TIMEZONE
                  - COLUMN_TYPE_DECIMAL
                  - COLUMN_TYPE_HLL_SKETCH
                description: >-
                  Type of the column, will be converted to a data
                  warehouse-specific type.
              repeated:
                type: boolean
                description: Determined whether the column is an array.
            required:
              - name
          description: Mapping between columns and dimensions.
        state:
          type: string
          enum:
            - TABLE_STATE_UNSPECIFIED
            - TABLE_STATE_CREATING
            - TABLE_STATE_ACTIVE
            - TABLE_STATE_FAILED
            - TABLE_STATE_UPDATING
            - TABLE_STATE_DELETED
          description: Current state of the table.
        error:
          type: object
          properties:
            message:
              type: string
              description: Overall description of the error.
            details:
              type: array
              items:
                type: string
              description: Specific details of the error.
          description: Indicates whether an errors has occurred.
        schemaValidationJob:
          type: string
          description: >-
            Resource name of the sql job that was used to validate the schema of
            the
             exposure table.
        createTime:
          type: object
          description: Time when the exposure table was first created.
        updateTime:
          type: object
          description: Time when the exposure table was last updated.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: Custom labels for this exposure table.
        creator:
          type: string
          description: Reference to the identity that created this exposure table.
        updater:
          type: string
          description: Reference to the identity that last updated this exposure table.
        owner:
          type: string
          description: The owner of the resource. If not set will default to the creator.
        scheduledExposureCalculation:
          type: string
        exposureCalculation:
          type: string
        deleteTime:
          type: object
          description: Time when the exposure table was deleted.
        systemCreated:
          type: boolean
          description: If this exposure table is automatically created.
      required:
        - sql
        - displayName
        - entity
        - firstExposureTimeColumn
        - entityIdColumn
        - groupNameColumn
        - state
        - schemaValidationJob
        - createTime
        - updateTime
        - creator
        - updater
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````